Name:		inkscape
Summary:	A vector-based drawing program using SVG
Version:	0.37
Release:	1mdk
License:	GPL
Group:		Graphics
Source:		http://dl.sf.net/sourceforge/inkscape/inkscape-%{version}.tar.bz2
URL:		http://inkscape.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  png-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libart_lgpl-devel >= 2.3.10
BuildRequires:  freetype-devel
BuildRequires:  libxml2-devel >= 2-2.4.24
BuildRequires:  gtk2-devel
BuildRequires:  pango-devel
BuildRequires:  atk-devel
BuildRequires:  pkgconfig
BuildRequires:	%{_lib}sigc++1.2-devel

%description
Inkscape is a SVG based generic vector-drawing program.

Inkscape uses W3C SVG as its native file format. It is therefore a very useful
tool for web designers and as an interchange format for desktop publishing.

%prep
%setup -q

%build
%configure2_5x --with-xinerama
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

# Menu support
install -d %buildroot/%_menudir/ 
cat > %buildroot/%_menudir/%name << EOF
?package(%{name}): needs=x11 \
icon="office_section.png" \
section="Office/Drawing" \
title=Inkscape longtitle="Vector graphic editor" \
command="inkscape"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/inkscape
%{_bindir}/inkview
%{_libdir}/inkscape/extensions/*
%{_datadir}/applications/inkscape.desktop
%{_datadir}/pixmaps/*
%{_datadir}/inkscape/*
%{_mandir}/man1/*
%{_menudir}/%{name}

%changelog
* Sat Feb 14 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.37-1mdk
- new version

* Fri Dec 12 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.36-1mdk
- initial packaging

* Thu May 01 2003 Christian Schaller <uraeus@gnome.org>
- Fix up the spec file for current release

* Mon Sep 23 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.6

* Thu Sep 12 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.5
- Changed SPEC to benefit from macros
